local lg = love.graphics

-- Create attributes of the triangle

local attributes = {
    {"VertexPosition", "float", 2},
    {"VertexColor", "byte", 4},
}

-- Create the triangle vertices

local vertices = {
    {-0.5, -0.5, 1, 0, 0},
    {0.5, -0.5, 0, 1, 0},
    {0, 0.5, 0, 0, 1}
}

-- Create a new mesh to hold the triangle

local triangle = lg.newMesh(attributes, vertices, "triangles", "static")

-- Set up the color interpolation shader
local shader = lg.newShader([[

    varying vec4 vColor;

    vec4 position( mat4 transform_projection, vec4 vertex_position ) {
        vColor = VertexColor;
        return transform_projection * vertex_position;
    }

]], [[

    varying vec4 vColor;

    vec4 effect(vec4 color, Image texture, vec2 texture_coords, vec2 screen_coords) {
        return vColor;
    }

]])

function love.draw()

    lg.setShader(shader)
    lg.draw(triangle,lg.getWidth()/2,lg.getHeight()/2,0,200,200)
    lg.setShader()

end
